import java.io.*;
import java.util.*;

class MailSyncRemote {
  public static void main(String arg[]) throws IOException {
    File dir = new File(arg[0]);
    String files[] = dir.list();
    RemoteMailFolder folder;
    for (int i=0;i<files.length;i++) {
      File f = new File(dir.toString() + File.separatorChar + files[i]);
      if (f.isDirectory()) {
        if (f.getName().equals("IN") || f.getName().equals("OUT")) {
          continue;
        }
        folder = new RemoteMailFolder(f);
        folder.process();
        
      }
    }
  }
}

class RemoteMailFolder extends MailFolder {
  public RemoteMailFolder(File dir) throws IOException {
     super(dir);
  }

  public void output(String id, String mesNo) {
    System.out.println(folder.getName() + ": " + id);
  }
}
